classification
Title: Reorganize C API tests
Type: enhancement Stage: patch review
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, michael.foord, miss-islington, rhettinger, serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2018-07-29 12:56 by serhiy.storchaka, last changed 2018-08-06 15:06 by serhiy.storchaka.

Pull Requests
URL Status Linked Edit
PR 8551 open serhiy.storchaka, 2018-07-29 13:15
PR 8567 merged serhiy.storchaka, 2018-07-30 17:36
PR 8689 merged miss-islington, 2018-08-06 13:50
PR 8690 merged serhiy.storchaka, 2018-08-06 14:10
PR 8691 merged serhiy.storchaka, 2018-08-06 14:49
Messages (8)
msg322635 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-29 12:56
The proposed PR reorganizes C API tests. Most C API tests will be moved into the new directory Lib/test/test_capi/.
msg322648 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-07-30 04:12
It seems to me that this will make the individual objects and modules harder to maintain.  I expect to find all the tests for an object in a file called test_thatobject.py.  This patch violates that expectation and separates things that belong together.
msg322656 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-30 06:51
Not all C API tests are related to specific type or module. What about moving just test_capi.py, test_getargs2.py and test_structmembers.py?
msg322682 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-30 17:40
PR 8567 moves argument parsing tests from test_capi to test_getargs2.

It also makes tests defined in _testcapi more discoverable. Now you can run "./python -m test -v -m test_buildvalue_N test_capi".
msg323207 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-06 13:50
New changeset 8f7bb100d0fa7fb2714f3953b5b627878277c7c6 by Serhiy Storchaka in branch 'master':
bpo-34272: Move argument parsing tests from test_capi to test_getargs2. (GH-8567)
https://github.com/python/cpython/commit/8f7bb100d0fa7fb2714f3953b5b627878277c7c6
msg323209 - (view) Author: miss-islington (miss-islington) Date: 2018-08-06 14:11
New changeset a1ff5f9031dc81b2c368def037fc0e88f5bc48b7 by Miss Islington (bot) in branch '3.7':
bpo-34272: Move argument parsing tests from test_capi to test_getargs2. (GH-8567)
https://github.com/python/cpython/commit/a1ff5f9031dc81b2c368def037fc0e88f5bc48b7
msg323210 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-06 14:34
New changeset 278d975ce158608f6be491c561247d4701c842be by Serhiy Storchaka in branch '3.6':
[3.6] bpo-34272: Move argument parsing tests from test_capi to test_getargs2. (GH-8567). (GH-8690)
https://github.com/python/cpython/commit/278d975ce158608f6be491c561247d4701c842be
msg323211 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-06 15:06
New changeset d1c5e278a1a2458bc5efcdc300c17f9e39a59b6c by Serhiy Storchaka in branch '2.7':
[2.7] bpo-34272: Move argument parsing tests from test_capi to test_getargs2. (GH-8567). (GH-8691)
https://github.com/python/cpython/commit/d1c5e278a1a2458bc5efcdc300c17f9e39a59b6c
History
Date User Action Args
2018-08-06 15:06:19serhiy.storchakasetmessages: + msg323211
2018-08-06 14:49:42serhiy.storchakasetpull_requests: + pull_request8186
2018-08-06 14:34:50serhiy.storchakasetmessages: + msg323210
2018-08-06 14:11:08miss-islingtonsetnosy: + miss-islington
messages: + msg323209
2018-08-06 14:10:10serhiy.storchakasetpull_requests: + pull_request8185
2018-08-06 13:50:38miss-islingtonsetpull_requests: + pull_request8184
2018-08-06 13:50:22serhiy.storchakasetmessages: + msg323207
2018-07-30 17:40:56serhiy.storchakasetmessages: + msg322682
2018-07-30 17:36:15serhiy.storchakasetpull_requests: + pull_request8079
2018-07-30 06:51:35serhiy.storchakasetmessages: + msg322656
2018-07-30 04:12:02rhettingersetnosy: + rhettinger
messages: + msg322648
2018-07-29 16:47:05serhiy.storchakasetnosy: - appinv
2018-07-29 16:46:50serhiy.storchakasetmessages: - msg322638
2018-07-29 16:43:27appinvsetnosy: + appinv
messages: + msg322638
2018-07-29 13:15:48serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request8067
2018-07-29 13:14:23xtreaksetnosy: + xtreak
2018-07-29 12:56:01serhiy.storchakacreate